# $Revision: 1.18 $, $Date: 2002/08/10 11:32:08 $
Summary:	RADIUS Server
Summary(es):	Servidor RADIUS con muchas funciones
Summary(pl):	Serwer RADIUS
Summary(pt_BR):	Servidor RADIUS com muitas funcoes
Name:		radiusd-cistron
Version:	1.6.6
Release:	1
Group:		Networking/Daemons
License:	GPL
Source0:	ftp://ftp.radius.cistron.nl/pub/radius/%{name}-%{version}.tar.gz
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.logrotate
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.radius.cistrom.nl/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Prereq:		/sbin/chkconfig
Provides:	radius
Obsoletes:	radius

%description
RADIUS server with a lot of functions. Short overview:

- PAM support,
- Supports access based on huntgroups,
- Multiple DEFAULT entries in users file,
- All users file entries can optionally "fall through",
- Caches all config files in-memory,
- Keeps a list of logged in users (radutmp file),
- "radwho" program can be installed as "fingerd",
- Logs both UNIX "wtmp" file format and RADIUS detail logfiles,
- Supports Simultaneous-Use = X parameter. Yes, this means that you
  can now prevent double logins!.

%description -l es
Servidor RADIUS con muchas funciones. Visin general:

- Soporta acceso basado en huntgroups,
- Mltiples entradas POR DEFECTO en el archivo de usuarios,
- Hace el cach de todos los archivos de configuracin en memoria,
- Mantienen una lista de los usuarios conectados (archivo radutmp),
- El programa radwho puede ser instalado como fingerd,
- Registra tanto en el formato UNIX wtmp como en el RADIUS detail
- Soporta el parmetro Simultaneous-Use = X. S!, esto significa que
  puedes evitar logins duplos.

%description -l pl
Serwer RADIUS z wieloma funkcjami. W skrcie:

- obsuga PAM,
- obsuga dostpu bazujca na huntgroups,
- wiele wpisw DEFAULT w pliku users,
- wszystkie wpisy w pliku users mog by opcjonalnie "fall through",
- buforuje wszystkie pliki konfiguracyjne w pamici,
- trzyma list zalogowanych uytkownikw (plik radutmp),
- program radwho moe by zainstalowany jako fingerd,
- loguje zarwno w uniksowym formacie wtmp i logach szczegowych
  RADIUS,
- obsuguje parametr Simultaneous-Use = X - tak, w ten sposb moesz
  unikn podwjnego logowania!.

%description -l pt_BR
Servidor RADIUS com muitas funes. Viso geral:

- Suporta acesso baseado em huntgroups,
- Multiplas entradas DEFAULT no arquivo de usuarios,
- Faz cache de todos os arquivos de configuraco em memoria,
- Mantem uma lista dos usuarios conectados (arquivo radutmp),
- O programa radwho pode ser instalado como fingerd,
- Registra tanto no formato UNIX wtmp quanto no RADIUS detail,
- Suporta o parametro Simultaneous-Use = X. Sim, isto significa, que
  voc pode evitar logins duplos!, inclusive com o Cyclades PathRas.

%prep
%setup -q
%patch0 -p1

%build
cd src
%{__make} CC="%{__cc}" PAM=-DPAM PAMLIB="-lpam -ldl" CFLAGS="%{rpmcflags}"
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/{raddb,logrotate.d,rc.d/init.d,pam.d},var/log/radacct} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,5,8}}

touch $RPM_BUILD_ROOT/etc/pam.d/radius

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR="%{_bindir}" \
	SBINDIR="%{_sbindir}" \
	MANDIR="%{_mandir}" \
	RADIUS_DIR="%{_sysconfdir}/raddb"

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/pam.d/radius
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/rc.d/init.d/radius
install %{SOURCE3}	$RPM_BUILD_ROOT/etc/logrotate.d/radius

install raddb/* 	$RPM_BUILD_ROOT%{_sysconfdir}/raddb
install doc/builddbm.8rad	$RPM_BUILD_ROOT%{_mandir}/man8/builddbm.5
install doc/clients.5rad	$RPM_BUILD_ROOT%{_mandir}/man5/clients.5
install doc/naslist.5rad	$RPM_BUILD_ROOT%{_mandir}/man5/naslist.5

touch 			$RPM_BUILD_ROOT/var/log/radutmp
touch 			$RPM_BUILD_ROOT/var/log/radwtmp
touch 			$RPM_BUILD_ROOT/var/log/radius.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/log/radutmp /var/log/radwtmp
/sbin/chkconfig --add radius
if [ -f /var/lock/subsys/radius ]; then
	/etc/rc.d/init.d/radius restart >&2
else
	echo "Run \"/etc/rc.d/init.d/radius start\" to start radius daemon."
fi

%preun
if [ "$1" = "0" ]; then
	/etc/rc.d/init.d/radius stop >&2
	/sbin/chkconfig --del radius
fi

%files
%defattr(644,root,root,755)
%doc doc/{ChangeLog,FAQ.txt}
%doc doc/README* todo/TODO

%attr(750,root,root) %dir /var/log/radacct
%attr(750,root,root) %dir %{_sysconfdir}/raddb

%attr(640,root,root) %config %verify(not size mtime md5) %{_sysconfdir}/raddb/*

%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(644,root,root) %{_mandir}/*/*

%attr(754,root,root) /etc/rc.d/init.d/radius
%attr(640,root,root) /etc/logrotate.d/radius
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/radius

%attr(640,root,root) %ghost /var/log/radutmp
%attr(640,root,root) %ghost /var/log/radwtmp
%attr(640,root,root) %ghost /var/log/radius.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: radiusd-cistron.spec,v $
Revision 1.18  2002/08/10 11:32:08  kloczek
- merge translations from Conectiva.

Revision 1.17  2002/08/10 11:20:19  misiek
- updated to 1.6.6

Revision 1.16  2002/04/02 19:25:13  alchemyx
- changed name of initscript from *.initd to *.init

Revision 1.15  2002/02/23 04:32:20  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/25 12:49:04  qboosh
- Prereq: /sbin/chkconfig
- updated URL, added Source URL (note: there is 1.6.4 on ftp - upgrade?)
- pl description
- release 2

Revision 1.11  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.7  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.6  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.3  1999/12/13 21:43:37  alchemyx
- changed name of logrotate

Revision 1.2  1999/11/29 11:20:55  waszi
- small fixes

Revision 1.1  1999/11/10 12:21:43  waszi
- initial release
